CGAL 6.1.2 - 2D Triangulations: Miscellaneous

CGAL 6.1.2 - 2D Triangulations

Loading...
Searching...
No Matches
Classes | Functions
Miscellaneous
Reference Manual

##

## Classes
class | CGAL::Triangulation_cw_ccw_2
| The class `Triangulation_cw_ccw_2` offers two functions `int cw(int i)` and `int ccw(int i)` which, given the index of a vertex in a face, compute the index of the next vertex of the same face in clockwise or counterclockwise order. More...

## Functions
template<typename CT , typename InDomainPmap >
void | CGAL::mark_domain_in_triangulation (CT &ct, InDomainPmap ipm)
| marks faces connected with non constrained edges as inside of the domain based on the nesting level.
template<typename CT >
void | CGAL::mark_domain_in_triangulation (CT &ct)
| marks faces connected with non constrained edges as inside of the domain based on the nesting level.

## Function Documentation

## ◆ mark_domain_in_triangulation() [1/2]

template<typename CT >

void CGAL::mark_domain_in_triangulation | ( | CT & | ct | ) |

`#include <CGAL/mark_domain_in_triangulation.h>`

marks faces connected with non constrained edges as inside of the domain based on the nesting level.

The function starts from facets incident to the infinite vertex, with a nesting level of 0. Then recursively considers the non-explored facets incident to constrained edges bounding the former set and increase the nesting level by 1. Facets in the domain are those with an odd nesting level.

For this overload, the "in domain" marker is contained in the face type of `CT`, which must provide the methods `bool is_in_domain()` and `void set_in_domain(bool)`.

Template Parameters

  CT | a constrained triangulation

Precondition
  `ct.dimension() == 2`

## ◆ mark_domain_in_triangulation() [2/2]

template<typename CT , typename InDomainPmap >

void CGAL::mark_domain_in_triangulation | ( | CT & | ct,
|  | InDomainPmap | ipm
| ) |  |

`#include <CGAL/mark_domain_in_triangulation.h>`

marks faces connected with non constrained edges as inside of the domain based on the nesting level.

The function starts from facets incident to the infinite vertex, with a nesting level of 0. Then recursively considers the non-explored facets incident to constrained edges bounding the former set and increase the nesting level by 1. Facets in the domain are those with an odd nesting level.

For this overload, the "in domain" information is set in `ipm`.

Template Parameters

  CT | a constrained triangulation
  InDomainPmap | a class model of `ReadWritePropertyMap` with `CT::Face_handle` as key type and `bool` as value type.

Precondition
  `ct.dimension() == 2`

Examples
  Triangulation_2/polygon_triangulation.cpp.